extends Resource

class_name Inventory

var items : Array[RigidBody3D]


func get_current_slot(index : int) -> RigidBody3D:
	return items[index]

func add_item(item : RigidBody3D) -> void:
	items.append(item)

func remove_items(item : RigidBody3D) -> void:
	items.erase(item)